Section6-DynamicContent/views/shop.html
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Add Product</title>
    <link rel="stylesheet" href="/css/main.css">
    <link rel="stylesheet" href="/css/product.css">
</head>

<body>
    <header class="main-header">
        <nav class="main-header__nav">
            <ul class="main-header__item-list">
                <li class="main-header__item"><a class="active" href="/shopper">Shop</a></li>
                <li class="main-header__item"><a href="/admin/add-product">Add Product</a></li>
            </ul>
        </nav>
    </header>

    <main>
        <h1>My Products</h1>
        <p>List of all the products...</p>
        <!-- <div class="grid">
            <article class="card product-item">
                <header class="card__header">
                    <h1 class="product__title">Great Book</h1>
                </header>
                <div class="card__image">
                    <img src="https://cdn.pixabay.com/photo/2016/03/31/20/51/book-1296045_960_720.png" alt="A Book">
                </div>
                <div class="card__content">
                    <h2 class="product__price">$19.99</h2>
                    <p class="product__description">A very interesting book about so many even more interesting things!</p>
                </div>
                <div class="card__actions">
                    <button class="btn">Add to Cart</button>
                </div>
            </article>
        </div> -->
    </main>
</body>

</html>

Section6-DynamicContent/views/shop.pug
extends layouts/main-layout.pug

block styles
    link(rel="stylesheet", href="/css/product.css")
    link(rel="stylesheet", href="/css/forms.css")

block content
    main
        if prods.length > 0
            each product in prods
                div.grid
                    article.card.product-item
                        header.card__header
                            h1.product__titleGreat #{product.ProductName}
                        div.card__image
                            img(src="https://cdn.pixabay.com/photo/2016/03/31/20/51/book-1296045_960_720.png", alt="A Book")
                        div.card__content
                            h2.product__price $19.99
                            p.product__descriptionA very interesting book about so many even more interesting things!
                        div.card__actions
                            button.btn Add to Cart
        else
            h1 No Products to show


//- doctype html
//- html(lang="en")
//-     head
//-         meta(charset="UTF-8")
//-         meta(http-equiv="X-UA-Compatible", content="IE=edge")
//-         meta(name="viewport", content="width=device-width, initial-scale=1.0")
//-         title #{docTitle}
//-         link(rel="stylesheet", href="/css/main.css")
//-         link(rel="stylesheet", href="/css/product.css")
//-     body 
//-         header.main-header
//-             nav.main-header__nav
//-                 ul.main-header__item-list
//-                     li.main-header__item
//-                         a.active(href="/shopper") Shop
//-                     li.main-header__item
//-                         a(href="/admin/add-product") Add Product
//-         main 
//-             each product in prods
//-                 div.grid
//-                     article.card.product-item
//-                         header.card__header
//-                             h1.product__titleGreat #{product.ProductName}
//-                         div.card__image
//-                             img(src="https://cdn.pixabay.com/photo/2016/03/31/20/51/book-1296045_960_720.png", alt="A Book")
//-                         div.card__content
//-                             h2.product__price $19.99
//-                             p.product__descriptionA very interesting book about so many even more interesting things!
//-                         div.card__actions
//-                             button.btnAdd to Cart
